Subject: Re: git-fetch and unannotated tags

From: Jakub Narebski <[email-masked]>
Date: Fri, 27 Apr 2007 17:50:22 +0200

Andreas Ericsson wrote:

> Andy Parkins wrote:
>> 
>> I'd be arguing for making not following unannotated tags the default, and then 
>> supply a switch to make them followed.  Is that too painful?  I think that's 
>> in keeping with the tradition that unannotated tags are, typically, not 
>> wanted in a central repository - the default update hook prevents it for 
>> example.
> 
> Yup. I share your feelings about simple tags. However, unless the repo owner
> has decided to explicitly push the simple tag to the repo, or fscked up by
> doing "git push --all" when he had cruft in his own repo, those tags are
> in fact part of the repo.
> 
> In the "oops" case, I'd point this out to the owner so he/she can delete them
> from the central repo (and enable the update-hook that barfs when simple tags
> are pushed). If the owner actually wants the tags there, then they're
> obviously important for some reason, so keeping them might make sense.

You can delete branch (ref?) using "<branch>:" refspec, if server you push to
has git new enough. HTH.
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git